Subject: [Gen-art] Gen-art LC review: draft-secretaries-good-practices-06

From: Robert Sparks <[email-masked]>
Date: Tue, 01 Jul 2014 11:03:58 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-secretaries-good-practices-06
Reviewer: Robert Sparks
Review Date: 1 July 2014
IETF LC End Date: 10 July 2014
IESG Telechat date: Not yet scheduled for a telechat

Summary: This draft is not ready for publication as a
          Best Current Practice

The draft is currently targeting BCP in order to update the
description of a working group secretary in RFC2418. Several
reviewers have noted that the remainder of the document is good
information, but could be confused with process definition in a BCP
document. Splitting the document into a short simple update of
RFC2418, and an informational document containing the rest of the
material would avoid that potential confusion and simplify any
remaining discussions around process impact.

For the update to RFC2418:

The current proposed text says section 2 of this document
updates the whole section 6.2 of RFC2418. It's not clear if
that means adds to, or replaces. I suggest you say "replaces".

There is text that affects the secretarial role in section 6.1.
Should any of that be updated? In particular, given the discussion
of delegation in the reviews of this document, should delegation
be discussed more explicitly in this section? This would be a
good place to discuss whether it's appropriate for a chair to
delegate calling consensus to a secretary.

For the good practices:

This could well have been formulated "Here are some good ways
a chair can run a meeting and deal with between meeting tasks,
and a secretary can take on doing many of these things". It
might have more of an effect improving meetings if it were cast
that way since the majority of working groups currently don't
utilize secretaries.

Please call out making accurate conflict lists (both conflicting
groups, and lists of people who need to not be conflicted) in the
session request submission task (first bullet of 3.1.1)

The section on 'Doing "Chair-like" work' calls out closing WG
adoption polls and WG Last Calls as an example. If the intent
was to say the Secretary makes the consensus calls to close
these tasks, say so. If it was just to make sure that the
call was captured correctly in a list message, or minutes,
say that.

Nit: The sentence "Over time, the WG Secretary role's has greatly
evolved to include a number of additonal functions and responsibities
which are critical to the smooth operation of IETF WGs." is too long.
It risks confusing whether the functions and responsibilites are
critical or if the WG Secretary roles are critical. I think you meant
the former, and that the Secretary can help ensure they're carried
out.

Finally, some observations that might be useful in the remainder
of the discussion of this draft (but not suggestions to change
the content of the draft directly):

The draft filename risks tools interpreting this as being targeted
at a group named 'good'.

The discussion of having a person be a secretary for more than
one group, or a group having more than one secretary made me go
look what the current situation is. To save others the time of
looking at each WG page separately, here's the compilation for
the active working groups, first organized by people (to see
who is a secretary for more than one group), then by group
(to see which groups have more than one secretary):

{<Person: Samuel Weiler>: [u'sidr'],
  <Person: Sam Aldrin>: [u'nvo3'],
  <Person: Tom Haynes>: [u'nfsv4'],
  <Person: Susan Hares>: [u'trill'],
  <Person: Sheng Jiang>: [u'dhc'],
  <Person: S Moonesamy>: [u'hybi'],
  <Person: Tom Taylor>: [u'avtcore'],
  <Person: David Sinicrope>: [u'pwe3'],
  <Person: Jun Bi>: [u'savi'],
  <Person: Martin Vigoureux>: [u'mpls'],
  <Person: Daniel King>: [u'l3vpn', u'pce'],
  <Person: Matt Lepinski>: [u'dane'],
  <Person: Daniele Ceccarelli>: [u'ccamp'],
  <Person: Andrew McLachlan>: [u'l2vpn'],
  <Person: Simon Josefsson>: [u'kitten'],
  <Person: Wassim Haddad>: [u'lisp'],
  <Person: David Waltermire>: [u'mile'],
  <Person: Ulrich Herberg>: [u'manet'],
  <Person: Damien Saucez>: [u'lisp']}

{u'avtcore': [<Person: Tom Taylor>],
  u'ccamp': [<Person: Daniele Ceccarelli>],
  u'dane': [<Person: Matt Lepinski>],
  u'dhc': [<Person: Sheng Jiang>],
  u'hybi': [<Person: S Moonesamy>],
  u'kitten': [<Person: Simon Josefsson>],
  u'l2vpn': [<Person: Andrew McLachlan>],
  u'l3vpn': [<Person: Daniel King>],
  u'lisp': [<Person: Damien Saucez>, <Person: Wassim Haddad>],
  u'manet': [<Person: Ulrich Herberg>],
  u'mile': [<Person: David Waltermire>],
  u'mpls': [<Person: Martin Vigoureux>],
  u'nfsv4': [<Person: Tom Haynes>],
  u'nvo3': [<Person: Sam Aldrin>],
  u'pce': [<Person: Daniel King>],
  u'pwe3': [<Person: David Sinicrope>],
  u'savi': [<Person: Jun Bi>],
  u'sidr': [<Person: Samuel Weiler>],
  u'trill': [<Person: Susan Hares>]}

Again, that's just a snapshot of the current moment - it
doesn't speak to history.

Also, as best I can tell, there's been ONE post in response
to this IETF LC on ietf general, and a lot of discussion in
other places (78 messages so far on wgchairs - see:
<https://mailarchive.ietf.org/arch/search/?email_list=wgchairs&q=draft-secretaries-good-practices> 
). It might be good for the
shepherd to bring a summary of those discussions to the IETF list,
and perhaps steer the remaining conversation that direction?